Bug 849308 - Fedora 17 failed to install on KVM. While anaconda is started, if switch to console by CTRL-ALT-F2, X will crash.
Fedora 17 failed to install on KVM. While anaconda is started, if switch to...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 00:32 EDT by Flos Lonicerae
Modified: 2013-08-01 09:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:45:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (10.48 KB, text/x-log)
2012-08-18 00:32 EDT, Flos Lonicerae
no flags Details
X log (60.46 KB, text/x-log)
2012-08-18 00:33 EDT, Flos Lonicerae
no flags Details

  None (edit)
Description Flos Lonicerae 2012-08-18 00:32:45 EDT
Created attachment 605296 [details]
anaconda log

Description of problem:
Fedora 17  failed to install on KVM.  While anaconda is started, if switch to console by CTRL-ALT-F2,  X will crash.


Version-Release number of selected component (if applicable):
X.Org X Server 1.12.0
Release Date: 2012-03-04


How reproducible:
Unknown. It is the first time I try Fedora 17 installed on my KVM.


Steps to Reproduce:
1. Install Fedora 17 with HTTP mode, wait for anaconda starts up 
2. Press CTRL-ALT-F2 to switch to console
3. Cannot switch back to X by press CTRL-ALT-F6.


Actual results:
Console log reports that X has crashed.

Expected results:
Can back to X

Additional info:
I do a search and find these similar rhbz.
#813435, #804899, #819114

Here is an article which try to explain this issue, it is likely a bug in X.
http://www.spinics.net/lists/fedora-devel/msg170575.html

Here is my X.log:
~~~
[  1933.491]    Bad bpp: 1 (1)
[  1933.496]    Bad bpp: 1 (1)
[  2016.457] (II) VMWARE(0): VMMOUSE DEVICE_OFF/CLOSE
[  2017.979]
[  2017.979] Backtrace:
[  2017.979] 0: Xorg (xorg_backtrace+0x36) [0x464d46]     <---------------------
[  2017.979] 1: Xorg (0x400000+0x69d99) [0x469d99]        <---------------------
[  2017.979] 2: /lib64/libpthread.so.0 (0x7f1937d92000+0xefe0) [0x7f1937da0fe0]
[  2017.980] 3: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7f1934e18000+0x933c) [0x7f1934e2133c]
[  2017.980] 4: /usr/lib64/xorg/modules/drivers/qxl_drv.so (0x7f1934e18000+0x13710) [0x7f1934e2b710]
[  2017.980] 5: Xorg (0x400000+0xfaaf5) [0x4faaf5]
[  2017.980] 6: Xorg (0x400000+0x3439a) [0x43439a]
[  2017.980] 7: Xorg (0x400000+0x233e5) [0x4233e5]
[  2017.980] 8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f1936a19735]  <---------------------
[  2017.980] 9: Xorg (0x400000+0x236bd) [0x4236bd]  <---------------------
[  2017.980]
[  2017.980] Segmentation fault at address (nil)
[  2017.980]
Fatal server error:
[  2017.980] Caught signal 11 (Segmentation fault). Server aborting
[  2017.980]
[  2017.980]
Please consult the Fedora Project support
         at http://wiki.x.org
~~~
Comment 1 Flos Lonicerae 2012-08-18 00:33:54 EDT
Created attachment 605298 [details]
X log
Comment 2 Flos Lonicerae 2012-08-18 00:43:04 EDT
Hi all,

here is my host info:
#uname -a
Linux fedora16.example.com 3.4.7-1.fc16.x86_64 #1 SMP Mon Jul 30 16:37:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

#cat /etc/redhat-release 
Fedora release 16 (Verne)

#rpm -qi libvirt
Name        : libvirt
Version     : 0.9.6.1
Release     : 1.fc16
Architecture: x86_64

#rpm -qi qemu-kvm
Name        : qemu-kvm
Epoch       : 2
Version     : 0.15.1
Release     : 7.fc16
Architecture: x86_64

#rpm -qi seabios-bin
Name        : seabios-bin
Version     : 0.6.2
Release     : 3.fc16

Thanks!

Best Regards,
--
Flos
Comment 3 Fedora End Of Life 2013-07-04 00:29:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:45:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.